This is full namespace meta-package that installs all parts of m_lib library.
--- /dev/null
+/.cache/
+/.tox/
+/m_lib.full.egg-info/
+/build/
+/dist/
+/MANIFEST
+*.py[co]
+*.tmp
+*~
--- /dev/null
+m_lib.full requires Python 2.6, 2.7 or 3.4+.
+
+Installation script setup.py requires setuptools.
+
+Installation using pip:
+
+ System-wide:
+
+ sudo pip install m_lib.full
+
+ User mode:
+
+ pip install --user m_lib.full
+
+ Virtual environments:
+
+ pip install m_lib.full
+
+ For Python 2.6 the command is easy_install.
+
+Installation from sources:
+
+ To install the library from sources system-wide run run the following
+ command:
+
+ sudo python setup.py install
+
+ If you don't want to install it system-wide you can install it in your
+ home directory; run run the following command:
+
+ python setup.py install --user
+
+Option '--user' installs m_lib.full into
+$HOME/.local/lib/python$MAJOR.$MINOR/site-packages/ where python finds it
+automatically.
--- /dev/null
+global-include *.py *.txt
+include MANIFEST.in Makefile mk-distr
--- /dev/null
+
+.PHONY: distr
+distr:
+ ./mk-distr
+
+.PHONY: clean
+clean:
+ find . -name '*.py[co]' -type f -delete
--- /dev/null
+Broytman Library for Python.
+Author: Oleg Broytman <phd@phdru.name>.
+Copyright (C) 1996-2018 PhiloSoft Design.
+License: GPL.
+
+This a full namespace meta-package that installs all parts of m_lib library
+(currently m_lib and m_lib.defenc).
--- /dev/null
+#! /bin/sh
+
+tag="`python setup.py --version`" &&
+exec git tag --message="Release $tag" --sign $tag
--- /dev/null
+#! /bin/sh
+
+cd "`dirname \"$0\"`"/.. &&
+umask 022 &&
+chmod -R a+rX . &&
+set-commit-date.py &&
+
+python setup.py build_py &&
+python setup.py build &&
+python setup.py sdist &&
+
+for py in 2.6 2.7 3.4 3.5 3.6; do
+ find build -name '*.py[co]' -delete &&
+ python$py setup.py build_py &&
+ python$py setup.py build &&
+ python$py -m compileall build &&
+ python$py -O -m compileall build &&
+ python$py setup.py bdist_egg || exit 1
+done
+
+find build -name '*.py[co]' -delete &&
+python setup.py bdist_wheel --universal &&
+
+twine upload --sign dist/* &&
+exec rm -rf build dist m_lib.full.egg-info
--- /dev/null
+--install-option=-O2
+
+m_lib>=3.1
+m_lib.defenc>=1.0
--- /dev/null
+"""Broytman Library for Python, Copyright (C) 1996-2018 PhiloSoft Design"""
+
+from pkgutil import extend_path
+__path__ = extend_path(__path__, __name__)
+__import__('pkg_resources').declare_namespace(__name__)
--- /dev/null
+#! /bin/sh
+
+umask 022 &&
+
+git archive --format=tar --prefix=m_lib.full/ "${1:-HEAD}" |
+ (cd "$HOME/tmp" && exec tar xf -) &&
+
+cd "$HOME/tmp/m_lib.full" &&
+python setup.py sdist --formats=bztar &&
+cd dist && mv m_lib.full-*.tar.bz2 ../.. && cd ../.. && exec rm -rf m_lib.full
--- /dev/null
+--install-option=-O2
+
+m_lib
+m_lib.defenc
--- /dev/null
+[easy_install]
+optimize = 2
+
+[egg_info]
+tag_build =
+tag_date = 0
+tag_svn_revision = 0
+
--- /dev/null
+#! /usr/bin/env python
+
+try:
+ from setuptools import setup
+ is_setuptools = True
+except ImportError:
+ from distutils.core import setup
+ is_setuptools = False
+
+kw = {}
+if is_setuptools:
+ kw['python_requires'] = '>=2.6, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*'
+ kw['install_requires'] = ['m_lib>=3.1', 'm_lib.defenc>=1.0']
+
+setup(name = "m_lib.full",
+ version = "1.0.0",
+ description = "m_lib full meta-package",
+ long_description = "Broytman Library for Python, Copyright (C) 1996-2018 PhiloSoft Design",
+ author = "Oleg Broytman",
+ author_email = "phd@phdru.name",
+ url = "http://phdru.name/Software/Python/#m_lib",
+ license = "GPL",
+ classifiers=[
+ 'Development Status :: 5 - Production/Stable',
+ 'Intended Audience :: Developers',
+ 'License :: OSI Approved :: GNU General Public License (GPL)',
+ 'Operating System :: OS Independent',
+ 'Programming Language :: Python :: 2',
+ 'Programming Language :: Python :: 2.6',
+ 'Programming Language :: Python :: 2.7',
+ 'Programming Language :: Python :: 3',
+ 'Programming Language :: Python :: 3.4',
+ 'Programming Language :: Python :: 3.5',
+ 'Programming Language :: Python :: 3.6',
+ 'Topic :: Software Development :: Libraries',
+ 'Topic :: Software Development :: Libraries :: Python Modules',
+ ],
+ platforms = "Any",
+ packages = ["m_lib"],
+ requires=['m_lib', 'm_lib.defenc'],
+ namespace_packages = ["m_lib"],
+ **kw
+)